> ## Documentation Index
> Fetch the complete documentation index at: https://developers.govworx.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream Call Audio

> Stream call audio for playback. Automatically detects call status: - Active calls: Live RTMP streaming with seek support - Completed calls: Recorded audio via shared CallAudioBuffer with full seek support



## OpenAPI

````yaml https://realtime.govworx.net/u/api-docs post /realtime/v1/call/{id}/audio/stream
openapi: 3.1.0
info:
  title: GovWorx Realtime API
  description: >-
    Interfaces to access processing of realtime call data, transcriptions and
    CommsCoach Assist agentic outputs
  termsOfService: http://swagger.io/terms/
  version: '1.0'
servers:
  - url: https://realtime.govworx.net
security: []
tags:
  - name: Realtime Calls
    description: Endpoints for managing and interacting with active or completed calls
  - name: CAD Integration Handler
    description: >
      Implement these endpoints if you are a CAD vendor building an integration
      with Assist.


      These endpoints allow Assist to directly push data to your system.


      The base URL in the documentation (/cad-integration-handler) is
      illustrative and you may use a different base URL.


      You must implement the endpoints under the base URL using the given
      specifications, however.
  - name: Authentication
    description: Manage short-lived tokens for accessing the Realtime API.
  - name: CAD Integration
    description: Endpoints for managing and interacting with the CAD Integration.
  - name: Webhook Registration
    description: Register webhook handlers to receive notifications.
  - name: Webhook Handlers
    description: >-
      Implement these endpoints as needed to match any webhooks you have
      registered for. The URL in the documentation is illustrative. You must
      handle the webhook at the URL you registered. See 'Webhook Registration'.
externalDocs:
  description: GovWorx Developer Docs
  url: https://api.govworx.ai
paths:
  /realtime/v1/call/{id}/audio/stream:
    post:
      tags:
        - Realtime Calls
      summary: Stream Call Audio
      description: >-
        Stream call audio for playback. Automatically detects call status: -
        Active calls: Live RTMP streaming with seek support - Completed calls:
        Recorded audio via shared CallAudioBuffer with full seek support
      operationId: streamAudio
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Stream started successfully
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AudioStreamResponse'
        '401':
          description: Failed to authenticate request
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AudioStreamResponse'
        '403':
          description: Not authorized to access this call
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AudioStreamResponse'
        '404':
          description: Call not found
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AudioStreamResponse'
        '500':
          description: Failed to start stream
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AudioStreamResponse'
        '503':
          description: Audio streaming service unavailable
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/AudioStreamResponse'
components:
  schemas:
    AudioStreamResponse:
      type: object
      properties:
        streamId:
          type: string
          description: Stream/VOD identifier. Empty string for carbyne-live mode.
        playUrl:
          type: string
        token:
          type: string
          description: >-
            One-time play token. Empty string for carbyne-live mode and when OTT
            token authentication is disabled.
        status:
          type: string
        durationMs:
          type: integer
          format: int64
          description: >-
            Duration in milliseconds. For 'recorded' mode, the full recording
            length. For 'live' and 'carbyne-live' modes, the elapsed call
            duration so far. 0 when unknown.
        mode:
          type: string
          enum:
            - live
            - recorded
            - carbyne-live

````